System.Web 2.0.0.0 System.Enum

The enumeration is used by profile providers and the class when they search for profiles in the data source and when they delete them. The enumeration is used to select whether only anonymous, only authenticated, or all profiles are searched.

Describes the authentication type of user profiles to be searched.

- Field
  System.Web.Profile.ProfileAuthenticationOption

  Search all profiles.

  2.0.0.0
- Field
  System.Web.Profile.ProfileAuthenticationOption

  Search only anonymous profiles.

  2.0.0.0
- Field
  System.Web.Profile.ProfileAuthenticationOption

  Search only authenticated profiles.

  2.0.0.0